Subject: [bess] A question regarding DF election for Virtual Ethernet Segments

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 19 Oct 2021 11:56:57 +0000

Hi,
I have a question regarding Section 4.1 of the Virtual Ethernet Segment draft<https://datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-virtual-eth-segment-07#section-4.1>.
This section describes the default DF election procedure defined in RFC 7432 for virtual Ethernet Segments and says in item 3 (the problematic text is highlighted):

Assuming a redundancy group of N PE nodes, the PE with ordinal i is the DF for an EVPN instance with an associated Ethernet Tag value of V when (V mod N) = i

My question is, what does the associated Ethernet Tag mean in this context?
Specifically, if the EVI that is attached to the Virtual Ethernet Segment in question implements VLAN-based or VLAN Bundle service interface, is associated Ethernet Tag value always zero (as it appears in all EVPN routes advertised by such an EVI)? If so, then all EVI implementing these types of service interfaces and attached to different S-VLAN-delimited Virtual Ethernet Segments on the same E-NNI port would elect the PE with the minimal Router Address as the DF. In any case, explicit clarification in the text would be most useful.

Your timely feedback will be highly appreciated.

Regards, and lots of thanks in advance,
Sasha

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]

Notice: This e-mail together with any attachments may contain information of Ribbon Communications Inc. and its Affiliates that is confidential and/or proprietary for the sole use of the intended recipient. Any review, disclosure, reliance or distribution by others or forwarding without express permission is strictly prohibited. If you are not the intended recipient, please notify the sender immediately and then delete all copies, including any attachments.

---

From: John E Drake <[email-masked]>
Date: Tue, 19 Oct 2021 12:28:36 +0000

Sasha,

Thanks for catching this, as it is a remnant.  Please see https://datatracker.ietf.org/doc/html/rfc8584#section-1.1, https://datatracker.ietf.org/doc/html/draft-ietf-bess-rfc7432bis-01#section-3, and https://datatracker.ietf.org/doc/html/draft-ietf-bess-rfc7432bis-01#section-8.5.

Yours Irrespectively,

John

Juniper Business Use Only
From: Alexander Vainshtein <[email-masked]>
Sent: Tuesday, October 19, 2021 7:57 AM
To: [email-masked]
Cc: [email-masked]; Luc André Burdet <[email-masked]>
Subject: A question regarding DF election for Virtual Ethernet Segments
Importance: High

[External Email. Be cautious of content]

Hi,
I have a question regarding Section 4.1 of the Virtual Ethernet Segment draft<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/html/draft-ietf-bess-evpn-virtual-eth-segment-07*section-4.1__;Iw!!NEt6yMaO-gk!SXFKXli8DYTkiAjk5Pfb9gcpOio7646QevC9ZN9MPEgXe1sGgTdeu1t5vKXZzbY$>.
This section describes the default DF election procedure defined in RFC 7432 for virtual Ethernet Segments and says in item 3 (the problematic text is highlighted):

Office: +972-39266302
Cell:      +972-549266302
Email:   [email-masked]<mailto:[email-masked]>

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 19 Oct 2021 13:35:43 +0000

John,
Lots of thanks for a prompt and clarifying response!

According to the shepherd's write-up<https://datatracker.ietf.org/doc/draft-ietf-bess-evpn-virtual-eth-segment/shepherdwriteup/> the Virtual Ethernet Segment draft is long past its WG LC, while 7432bis draft is still in its early stages.
Therefore I think the former should be updated to avoid any further misunderstanding.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: John E Drake <[email-masked]>
Sent: Tuesday, October 19, 2021 3:29 PM
To: Alexander Vainshtein <[email-masked]>; [email-masked]
Cc: [email-masked]; Luc André Burdet <[email-masked]>
Subject: [EXTERNAL] RE: A question regarding DF election for Virtual Ethernet Segments

Sasha,

Thanks for catching this, as it is a remnant.  Please see https://datatracker.ietf.org/doc/html/rfc8584#section-1.1<https://clicktime.symantec.com/3SnY4b3gui3U4kH4pJbCWNm6H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Frfc8584%23section-1.1>, https://datatracker.ietf.org/doc/html/draft-ietf-bess-rfc7432bis-01#section-3<https://clicktime.symantec.com/3AevYzdhprcfnqJ4rkGMrpX6H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-bess-rfc7432bis-01%23section-3>, and https://clicktime.symantec.com/3LpRvM7ZQnWHJnT2jPntZH56H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-bess-rfc7432bis-01%23section-8.5.

Yours Irrespectively,

John

Juniper Business Use Only
From: Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 19, 2021 7:57 AM
To: [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; Luc André Burdet <[email-masked]<mailto:[email-masked]>>
Subject: A question regarding DF election for Virtual Ethernet Segments
Importance: High

Hi,
I have a question regarding Section 4.1 of the Virtual Ethernet Segment draft<https://clicktime.symantec.com/3GoU85i4b9i4gMHnk8ZE7K16H2?u=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-bess-evpn-virtual-eth-segment-07%2Asection-4.1__%3BIw%21%21NEt6yMaO-gk%21SXFKXli8DYTkiAjk5Pfb9gcpOio7646QevC9ZN9MPEgXe1sGgTdeu1t5vKXZzbY%24>.
This section describes the default DF election procedure defined in RFC 7432 for virtual Ethernet Segments and says in item 3 (the problematic text is highlighted):

Office: +972-39266302
Cell:      +972-549266302

---

From: John E Drake <[email-masked]>
Date: Tue, 19 Oct 2021 13:55:04 +0000

Sasha,

You're most welcome.  RFC 8584 is the key reference as it explicitly updates RFC 7432, and I agree that the Virtual ES draft should both reference RFC 8584 and be compliant with it.

Yours Irrespectively,

John

Juniper Business Use Only
From: Alexander Vainshtein <[email-masked]>
Sent: Tuesday, October 19, 2021 9:36 AM
To: John E Drake <[email-masked]>
Cc: [email-masked]; Luc André Burdet <[email-masked]>; [email-masked]
Subject: RE: A question regarding DF election for Virtual Ethernet Segments
Importance: High

John,

According to the shepherd's write-up<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-virtual-eth-segment/shepherdwriteup/__;!!NEt6yMaO-gk!V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0Hy9Ihrk$> the Virtual Ethernet Segment draft is long past its WG LC, while 7432bis draft is still in its early stages.
Therefore I think the former should be updated to avoid any further misunderstanding.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302

From: John E Drake <[email-masked]<mailto:[email-masked]>>
Sent: Tuesday, October 19, 2021 3:29 PM
To: Alexander Vainshtein <[email-masked]<mailto:[email-masked]>>; [email-masked]<mailto:[email-masked]>
Cc: [email-masked]<mailto:[email-masked]>; Luc André Burdet <[email-masked]<mailto:[email-masked]>>
Subject: [EXTERNAL] RE: A question regarding DF election for Virtual Ethernet Segments

Sasha,

Thanks for catching this, as it is a remnant.  Please see https://datatracker.ietf.org/doc/html/rfc8584#section-1.1<https://urldefense.com/v3/__https:/clicktime.symantec.com/3SnY4b3gui3U4kH4pJbCWNm6H2?u=https*3A*2F*2Fdatatracker.ietf.org*2Fdoc*2Fhtml*2Frfc8584*23section-1.1__;JSUlJSUlJQ!!NEt6yMaO-gk!V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0RHrimTQ$>, https://datatracker.ietf.org/doc/html/draft-ietf-bess-rfc7432bis-01#section-3<https://urldefense.com/v3/__https:/clicktime.symantec.com/3AevYzdhprcfnqJ4rkGMrpX6H2?u=https*3A*2F*2Fdatatracker.ietf.org*2Fdoc*2Fhtml*2Fdraft-ietf-bess-rfc7432bis-01*23section-3__;JSUlJSUlJQ!!NEt6yMaO-gk!V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk038U1k6Q$>, and https://clicktime.symantec.com/3LpRvM7ZQnWHJnT2jPntZH56H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-bess-rfc7432bis-01%23section-8.5<https://urldefense.com/v3/__https:/clicktime.symantec.com/3LpRvM7ZQnWHJnT2jPntZH56H2?u=https*3A*2F*2Fdatatracker.ietf.org*2Fdoc*2Fhtml*2Fdraft-ietf-bess-rfc7432bis-01*23section-8.5__;JSUlJSUlJQ!!NEt6yMaO-gk!V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0wAsq4_s$>.

Yours Irrespectively,

John

Hi,
I have a question regarding Section 4.1 of the Virtual Ethernet Segment draft<https://urldefense.com/v3/__https:/clicktime.symantec.com/3GoU85i4b9i4gMHnk8ZE7K16H2?u=https*3A*2F*2Furldefense.com*2Fv3*2F__https*3A*2Fdatatracker.ietf.org*2Fdoc*2Fhtml*2Fdraft-ietf-bess-evpn-virtual-eth-segment-07*2Asection-4.1__*3BIw*21*21NEt6yMaO-gk*21SXFKXli8DYTkiAjk5Pfb9gcpOio7646QevC9ZN9MPEgXe1sGgTdeu1t5vKXZzbY*24__;JSUlJSUlJSUlJSUlJSUlJQ!!NEt6yMaO-gk!V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0x0BLHkk$>.
This section describes the default DF election procedure defined in RFC 7432 for virtual Ethernet Segments and says in item 3 (the problematic text is highlighted):

Office: +972-39266302
Cell:      +972-549266302

---

From: "Luc Andre Burdet (lburdet)" <[email-masked]>
Date: Tue, 19 Oct 2021 14:16:41 +0000

I agree.
Shepherd write-up dates to 2019-02-20 and is prior to my -v06/07 rewrite.
There will probably be a RTG-DIR review soon, I will make sure to bring this up at that stage when I assign. Are you volunteering Sasha? 😉

Regards,
Luc André

Luc André Burdet  |  [email-masked]<mailto:[email-masked]>  |  Tel: +1 613 254 4814

From: John E Drake <[email-masked]>
Date: Tuesday, October 19, 2021 at 09:55
To: Alexander Vainshtein <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, Luc André Burdet <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: A question regarding DF election for Virtual Ethernet Segments
Resent-From: <[email-masked]>
Resent-To: <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>, <[email-masked]>
Resent-Date: Tuesday, October 19, 2021 at 09:55

Sasha,

You’re most welcome.  RFC 8584 is the key reference as it explicitly updates RFC 7432, and I agree that the Virtual ES draft should both reference RFC 8584 and be compliant with it.

Yours Irrespectively,

John

John,

According to the shepherd’s write-up<https://urldefense.com/v3/__https:/datatracker.ietf.org/doc/draft-ietf-bess-evpn-virtual-eth-segment/shepherdwriteup/__;!!NEt6yMaO-gk!V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0Hy9Ihrk$> the Virtual Ethernet Segment draft is long past its WG LC, while 7432bis draft is still in its early stages.
Therefore I think the former should be updated to avoid any further misunderstanding.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302

Sasha,

Yours Irrespectively,

John

Hi,

Office: +972-39266302
Cell:      +972-549266302

---

From: Alexander Vainshtein <[email-masked]>
Date: Tue, 19 Oct 2021 17:05:22 +0000

Luc,
I will accept the request to do RTG-DIR  review of this draft  if you send it to me.

Not sure this would be considered volunteering😉

Get Outlook for Android<https://aka.ms/AAb9ysg>

________________________________
From: Luc Andre Burdet (lburdet) <[email-masked]>
Sent: Tuesday, October 19, 2021, 17:16
To: John E Drake; Alexander Vainshtein
Cc: [email-masked]; Luc André Burdet; [email-masked]; Martin Vigoureux
Subject: [EXTERNAL] Re: A question regarding DF election for Virtual Ethernet Segments

I agree.

Regards,
Luc André

Sasha,

Yours Irrespectively,

John

John,

According to the shepherd’s write-up<https://clicktime.symantec.com/3XVMaZgPz1BXRuYRyNkAur16H2?u=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Fdatatracker.ietf.org%2Fdoc%2Fdraft-ietf-bess-evpn-virtual-eth-segment%2Fshepherdwriteup%2F__%3B%21%21NEt6yMaO-gk%21V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0Hy9Ihrk%24> the Virtual Ethernet Segment draft is long past its WG LC, while 7432bis draft is still in its early stages.
Therefore I think the former should be updated to avoid any further misunderstanding.

My 2c,
Sasha

Office: +972-39266302
Cell:      +972-549266302

Sasha,

Thanks for catching this, as it is a remnant.  Please see https://datatracker.ietf.org/doc/html/rfc8584#section-1.1<https://clicktime.symantec.com/3LXTE9EMH1KNpW1hCu4udTd6H2?u=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Fclicktime.symantec.com%2F3SnY4b3gui3U4kH4pJbCWNm6H2%3Fu%3Dhttps%2A3A%2A2F%2A2Fdatatracker.ietf.org%2A2Fdoc%2A2Fhtml%2A2Frfc8584%2A23section-1.1__%3BJSUlJSUlJQ%21%21NEt6yMaO-gk%21V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0RHrimTQ%24>, https://datatracker.ietf.org/doc/html/draft-ietf-bess-rfc7432bis-01#section-3<https://clicktime.symantec.com/3LB8TecTELeZz1kjgHoAQJj6H2?u=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Fclicktime.symantec.com%2F3AevYzdhprcfnqJ4rkGMrpX6H2%3Fu%3Dhttps%2A3A%2A2F%2A2Fdatatracker.ietf.org%2A2Fdoc%2A2Fhtml%2A2Fdraft-ietf-bess-rfc7432bis-01%2A23section-3__%3BJSUlJSUlJQ%21%21NEt6yMaO-gk%21V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk038U1k6Q%24>, and https://clicktime.symantec.com/3LpRvM7ZQnWHJnT2jPntZH56H2?u=https%3A%2F%2Fdatatracker.ietf.org%2Fdoc%2Fhtml%2Fdraft-ietf-bess-rfc7432bis-01%23section-8.5<https://clicktime.symantec.com/3CQGKLt4ey8f4QVYzxmyi576H2?u=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Fclicktime.symantec.com%2F3LpRvM7ZQnWHJnT2jPntZH56H2%3Fu%3Dhttps%2A3A%2A2F%2A2Fdatatracker.ietf.org%2A2Fdoc%2A2Fhtml%2A2Fdraft-ietf-bess-rfc7432bis-01%2A23section-8.5__%3BJSUlJSUlJQ%21%21NEt6yMaO-gk%21V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0wAsq4_s%24>.

Yours Irrespectively,

John

Hi,
I have a question regarding Section 4.1 of the Virtual Ethernet Segment draft<https://clicktime.symantec.com/3NtoFMvybi9h37QHfn93Grf6H2?u=https%3A%2F%2Furldefense.com%2Fv3%2F__https%3A%2Fclicktime.symantec.com%2F3GoU85i4b9i4gMHnk8ZE7K16H2%3Fu%3Dhttps%2A3A%2A2F%2A2Furldefense.com%2A2Fv3%2A2F__https%2A3A%2A2Fdatatracker.ietf.org%2A2Fdoc%2A2Fhtml%2A2Fdraft-ietf-bess-evpn-virtual-eth-segment-07%2A2Asection-4.1__%2A3BIw%2A21%2A21NEt6yMaO-gk%2A21SXFKXli8DYTkiAjk5Pfb9gcpOio7646QevC9ZN9MPEgXe1sGgTdeu1t5vKXZzbY%2A24__%3BJSUlJSUlJSUlJSUlJSUlJQ%21%21NEt6yMaO-gk%21V5R5kXhAkDM7z8290XsSq1FEYR6ZPEnWv5vKFlHcAywpcZ-FOIUI-yk0x0BLHkk%24>.
This section describes the default DF election procedure defined in RFC 7432 for virtual Ethernet Segments and says in item 3 (the problematic text is highlighted):

Office: +972-39266302
Cell:      +972-549266302